
****保证回归样本数量统一****
egen miss=rmiss(lnRGVC lnDvalue lnRTA_in lnRTA_out lnGDP lnResource lnOFDI)
drop if miss==1


****基准回归****(表1）
xi:reg  lnRGVC lnDvalue i.con i.sector i.year
estimates store rgvc1
xi:reg  lnRGVC lnDvalue lnRTA_in lnRTA_out i.con i.sector i.year
estimates store rgvc2
xi:reg  lnRGVC lnDvalue lnRTA_in lnRTA_out lnGDP lnResource lnOFDI i.con i.sector i.year
estimates store rgvc3 
esttab rgvc1 rgvc2 rgvc3  using Rgvc.rtf, ///
														keep(lnDvalue lnRTA_in lnRTA_out lnGDP lnResource lnOFDI _cons) ///
														order(lnDvalue lnRTA_in lnRTA_out lnGDP lnResource lnOFDI _cons) ///
														starlevels(* 0.10 ** 0.05 *** 0.01) onecell ///
														rtf  b(4) s(N r2) se(4) label dropped	replace	   

														
****稳健性检验****（表2）
****替换指标
xi:reg  lnRGVC_N lnDvalue i.con i.sector i.year
estimates store n1
xi:reg  lnRGVC_N lnDvalue lnRTA_in lnRTA_out lnGDP lnResource lnOFDI i.con i.sector i.year
estimates store n2
****工具变量
xi:ivreg2 lnRGVC (lnDvalue=lnIV)  i.con i.sector i.year, first
estimates store IV1
xi:ivreg2  lnRGVC (lnDvalue=lnIV)  lnRTA_in lnRTA_out lnGDP lnResource lnOFDI i.con i.sector i.year, first
estimates store IV2 
esttab n1 n2 IV1 IV2 using wenjianxing.rtf, ///
														keep(lnDvalue lnRTA_in lnRTA_out lnGDP lnResource lnOFDI _cons) ///
														order(lnDvalue lnRTA_in lnRTA_out lnGDP lnResource lnOFDI _cons) ///
														starlevels(* 0.10 ** 0.05 *** 0.01) onecell ///
														rtf  b(4) s(N r2) se(4) label dropped	replace	   

														
****异质性检验****（表3）
****区域异质性
xi:reg  lnRGVC lnDvalue i.con i.sector i.year if Region==0
estimates store E
xi:reg  lnRGVC lnDvalue lnRTA_in lnRTA_out lnGDP lnResource lnOFDI i.con i.sector i.year if Region==0
estimates store E_control
xi:reg  lnRGVC lnDvalue i.con i.sector i.year if Region==1|Region==2
estimates store W
xi:reg  lnRGVC lnDvalue lnRTA_in lnRTA_out lnGDP lnResource lnOFDI i.con i.sector i.year if Region==1|Region==2
estimates store W_control
esttab E E_control W W_control using Region.rtf, ///
														keep(lnDvalue lnRTA_in lnRTA_out lnGDP lnResource lnOFDI _cons) ///
														order(lnDvalue lnRTA_in lnRTA_out lnGDP lnResource lnOFDI _cons) ///
														starlevels(* 0.10 ** 0.05 *** 0.01) onecell ///
														rtf  b(4) s(N r2) se(4) label dropped	replace	   
														
****行业异质性
xi:reg  lnRGVC lnDvalue i.con i.sector i.year if Industry==1 
estimates store s1		
xi:reg  lnRGVC lnDvalue lnRTA_in lnRTA_out lnGDP lnResource lnOFDI i.con i.sector i.year if Industry==1
estimates store s1_control
xi:reg  lnRGVC lnDvalue i.con i.sector i.year if Industry==2
estimates store s2		
xi:reg  lnRGVC lnDvalue lnRTA_in lnRTA_out lnGDP lnResource lnOFDI i.con i.sector i.year if Industry==2
estimates store s2_control
xi:reg  lnRGVC lnDvalue i.con i.sector i.year if Industry==3
estimates store s3	
xi:reg  lnRGVC lnDvalue lnRTA_in lnRTA_out lnGDP lnResource lnOFDI i.con i.sector i.year if Industry==3
estimates store s3_control
esttab s1 s1_control s2 s2_control s3 s3_control using Industry.rtf, ///
														keep(lnDvalue lnRTA_in lnRTA_out lnGDP lnResource lnOFDI _cons) ///
														order(lnDvalue lnRTA_in lnRTA_out lnGDP lnResource lnOFDI _cons) ///
														starlevels(* 0.10 ** 0.05 *** 0.01) onecell ///
														rtf  b(4) s(N r2) se(4) label dropped	replace	   

****数据要素价值化能力异质性（表4）
xi:reg  lnRGVC lnduse     lnRTA_in lnRTA_out lnGDP lnResource lnOFDI i.con i.sector i.year 
estimates store d1
xi:reg  lnRGVC lndservice lnRTA_in lnRTA_out lnGDP lnResource lnOFDI i.con i.sector i.year 
estimates store d2		
xi:reg  lnRGVC lndproduct lnRTA_in lnRTA_out lnGDP lnResource lnOFDI i.con i.sector i.year 
estimates store d3	
xi:reg  lnRGVC lndsource  lnRTA_in lnRTA_out lnGDP lnResource lnOFDI i.con i.sector i.year 
estimates store d4
xi:reg  lnRGVC lndinfra   lnRTA_in lnRTA_out lnGDP lnResource lnOFDI i.con i.sector i.year 
estimates store d5	
esttab d1 d2 d3 d4 d5 using Value.rtf, ///
														keep(lnduse lndservice lndproduct lndsource lndinfra lnRTA_in lnRTA_out lnGDP lnResource lnOFDI _cons) ///
														order(lnduse lndservice lndproduct lndsource lndinfra lnRTA_in lnRTA_out lnGDP lnResource lnOFDI _cons) ///
														starlevels(* 0.10 ** 0.05 *** 0.01) onecell ///
														rtf  b(4) s(N r2) se(4) label dropped	replace	   

														
****机制检验****	
****直接效应检验（表5）			
xi:reg  Cost  lnDvalue       i.con i.sector i.year
estimates store cost1
xi:reg lnRGVC Cost lnDvalue  i.con i.sector i.year
estimates store cost2
xi:reg  Cost lnDvalue  lnRTA_in lnRTA_out lnGDP lnResource lnOFDI i.con i.sector i.year
estimates store cost3
xi:reg lnRGVC Cost lnDvalue  lnRTA_in lnRTA_out lnGDP lnResource lnOFDI i.con i.sector i.year
estimates store cost4
esttab cost1 cost2 cost3 cost4 using Cost.rtf, ///
														keep(Cost lnDvalue lnRTA_in lnRTA_out lnGDP lnResource lnOFDI _cons) ///
														order(Cost lnDvalue lnRTA_in lnRTA_out lnGDP lnResource lnOFDI _cons) ///
														starlevels(* 0.10 ** 0.05 *** 0.01) onecell ///
														rtf  s(N r2) se label dropped	replace	   
										
														
****间接效应检验（表6）										
center lnDvalue, prefix(a_) 
****资源配置渠道
center Allocation, prefix(a_)
xi:reg  lnRGVC a_lnDvalue a_Allocation c.a_lnDvalue#c.a_Allocation i.con i.sector i.year 
estimates store allo
xi:reg  lnRGVC a_lnDvalue a_Allocation c.a_lnDvalue#c.a_Allocation lnRTA_in lnRTA_out lnGDP lnResource lnOFDI i.con i.sector i.year 
estimates store allo_control
esttab allo allo_control using Allocation.rtf, ///
														keep( a_lnDvalue a_Allocation c.a_lnDvalue#c.a_Allocation  lnRTA_in lnRTA_out lnGDP lnResource lnOFDI _cons) ///
														order(c.a_lnDvalue#c.a_Allocation  a_lnDvalue a_Allocation  lnRTA_in lnRTA_out lnGDP lnResource lnOFDI _cons) ///
														starlevels(* 0.10 ** 0.05 *** 0.01) onecell ///
														rtf  b(4) s(N r2) se(4) label dropped	replace	   

****技术创新渠道
center Tech , prefix(a_)
xi:reg  lnRGVC a_lnDvalue a_Tech c.a_lnDvalue#c.a_Tech i.con i.sector i.year 
estimates store tech
xi:reg  lnRGVC a_lnDvalue a_Tech c.a_lnDvalue#c.a_Tech lnRTA_in lnRTA_out lnGDP lnResource lnOFDI i.con i.sector i.year 
estimates store tech_control
esttab tech tech_control using Tech.rtf, ///
														keep( a_lnDvalue a_Tech c.a_lnDvalue#c.a_Tech  lnRTA_in lnRTA_out lnGDP lnResource lnOFDI _cons) ///
														order(c.a_lnDvalue#c.a_Tech  a_lnDvalue a_Tech  lnRTA_in lnRTA_out lnGDP lnResource lnOFDI _cons) ///
														starlevels(* 0.10 ** 0.05 *** 0.01) onecell ///
														rtf  b(4) s(N r2) se(4) label dropped	replace	   

****规则制度渠道
center Rule , prefix(a_)
xi:reg  lnRGVC a_lnDvalue a_Rule c.a_lnDvalue#c.a_Rule i.con i.sector i.year 
estimates store rule
xi:reg  lnRGVC a_lnDvalue a_Rule c.a_lnDvalue#c.a_Rule lnRTA_in lnRTA_out lnGDP lnResource lnOFDI i.con i.sector i.year 
estimates store rule_control
esttab rule rule_control using Rule.rtf, ///
														keep( a_lnDvalue a_Rule c.a_lnDvalue#c.a_Rule  lnRTA_in lnRTA_out lnGDP lnResource lnOFDI _cons) ///
														order(c.a_lnDvalue#c.a_Rule  a_lnDvalue a_Rule  lnRTA_in lnRTA_out lnGDP lnResource lnOFDI _cons) ///
														starlevels(* 0.10 ** 0.05 *** 0.01) onecell ///
														rtf  b(4) s(N r2) se(4) label dropped	replace	   
														